@echo off
REM Recover and program initial "sd_s132_bootloader_buttonless_with_setting_page_dfu_secure_ble_debug_without_bonds.hex" from folder "examples\dfu\secure_dfu_test_images\ble\nrf52832"
nrfjprog --recover
nrfjprog --halt
nrfjprog --program sd_s132_bootloader_buttonless_with_setting_page_dfu_secure_ble_debug_without_bonds.hex
nrfjprog --run

REM connect a RTT terminal
echo "Connect a RTT terminal to the nRF52 DK and press a key to startup DK"
pause

REM start device (bootlodare settings will be backed up to 0x7E0000)
nrfjprog --reset
TIMEOUT /T 5 /NOBREAK

echo "Press key to stop nRF52 DK and program a new application"
pause

REM stop device
nrfjprog --halt

REM program new application and the coresponsing bootloader settings
nrfutil settings generate --application nrf52832_xxaa.hex --family NRF52 --application-version 0 --bootloader-version 0 --bl-settings-version 1 "settings.hex"
nrfjprog --sectorerase --program nrf52832_xxaa.hex
nrfjprog --sectorerase --program settings.hex

echo "Press key to continue startup with reflashed settings and applciation"
pause

REM start device
nrfjprog --run



